Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("CRM")> _
Public Class CRMTarget 'CRM cél, amit el akarunk érni
    Inherits BaseObject
    Private _Contacts As Contacts
    Private _ShortName As String '--Megnevezés
    Private _Description As String '-- Leírás
    Private _CRMTargetStage As eCRMTargetStage '-- Állapot
    Private _CRMTargetType As eCRMTargetType '-- Új vagy létező üzlet
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property Contacts() As Contacts
        Get
            Return _Contacts
        End Get
        Set(ByVal value As Contacts)
            SetPropertyValue("Contacts", _Contacts, value)
        End Set
    End Property
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property CRMTargetStage() As eCRMTargetStage
        Get
            Return _CRMTargetStage
        End Get
        Set(ByVal value As eCRMTargetStage)
            SetPropertyValue("CRMTargetStage", _CRMTargetStage, value)
        End Set
    End Property
    Property CRMTargetType() As eCRMTargetType
        Get
            Return _CRMTargetType
        End Get
        Set(ByVal value As eCRMTargetType)
            SetPropertyValue("CRMTargetType", _CRMTargetType, value)
        End Set
    End Property
End Class


